commit d57100ff484a8f17feece14042b5d38b3eff7877
Author: Milan Hotovec <silent@students.zcu.cz>
Date:   Thu Apr 22 21:28:44 2021 +0200

    Project initialized
    @testFull

diff --git a/Leuze.sln b/Leuze.sln
index 197fcc9..e62a047 100644
--- a/Leuze.sln
+++ b/Leuze.sln
@@ -39,6 +39,22 @@ Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "Leuze.Tests.Core", "tests\C
 EndProject
 Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "Leuze.Tests.Core.Infrastructure.ActiveDirectory", "tests\Core\Leuze.Tests.Core.Infrastructure.ActiveDirectory\Leuze.Tests.Core.Infrastructure.ActiveDirectory.csproj", "{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}"
 EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Goal", "Goal", "{A1146DB5-79EB-449C-ADA3-1ABDE035F5CA}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Application", "Application", "{1AEE9C09-804F-4AF7-B966-80830B39C85F}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Domain", "Domain", "{4A441C7D-2659-4FB5-8886-420728C229BF}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Infrastructure", "Infrastructure", "{E4134FEF-ECBC-4EEF-A65B-8E8D318DA8DA}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Leuze.Modules.Goal.Application", "Leuze.Modules.Goal.Application\Leuze.Modules.Goal.Application.csproj", "{C21FBB7D-28F0-4D87-976C-4ED3B8ABA5E2}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Leuze.Modules.Goal.Application.UI", "Leuze.Modules.Goal.Application.UI\Leuze.Modules.Goal.Application.UI.csproj", "{9C56BB9C-C37A-4457-B560-2B46F1963292}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Leuze.Modules.Goal.Domain", "Leuze.Modules.Goal.Domain\Leuze.Modules.Goal.Domain.csproj", "{F3657FCF-A622-405C-A9E5-E473917B30B8}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Leuze.Modules.Goal.Infrastructure", "Leuze.Modules.Goal.Infrastructure\Leuze.Modules.Goal.Infrastructure.csproj", "{BB0B5CCE-991D-42D1-B35D-C15273C41AC0}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
@@ -85,6 +101,22 @@ Global
 		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C21FBB7D-28F0-4D87-976C-4ED3B8ABA5E2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C21FBB7D-28F0-4D87-976C-4ED3B8ABA5E2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C21FBB7D-28F0-4D87-976C-4ED3B8ABA5E2}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{C21FBB7D-28F0-4D87-976C-4ED3B8ABA5E2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{9C56BB9C-C37A-4457-B560-2B46F1963292}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{9C56BB9C-C37A-4457-B560-2B46F1963292}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{9C56BB9C-C37A-4457-B560-2B46F1963292}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{9C56BB9C-C37A-4457-B560-2B46F1963292}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F3657FCF-A622-405C-A9E5-E473917B30B8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{F3657FCF-A622-405C-A9E5-E473917B30B8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F3657FCF-A622-405C-A9E5-E473917B30B8}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{F3657FCF-A622-405C-A9E5-E473917B30B8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BB0B5CCE-991D-42D1-B35D-C15273C41AC0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BB0B5CCE-991D-42D1-B35D-C15273C41AC0}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BB0B5CCE-991D-42D1-B35D-C15273C41AC0}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BB0B5CCE-991D-42D1-B35D-C15273C41AC0}.Release|Any CPU.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
@@ -104,6 +136,14 @@ Global
 		{8ECAEA01-61F3-402D-B94E-E54FC0C94C8E} = {B74BED5E-F175-4A6E-B4AC-8625E0E4E287}
 		{D271989D-921D-486B-929C-6BBF1EC0EED4} = {B74BED5E-F175-4A6E-B4AC-8625E0E4E287}
 		{C1813611-5FF2-4E70-B7E5-A4E8553F0B66} = {B74BED5E-F175-4A6E-B4AC-8625E0E4E287}
+		{A1146DB5-79EB-449C-ADA3-1ABDE035F5CA} = {6E77A5CC-6998-47B7-8FD1-70FA45A1D30C}
+		{1AEE9C09-804F-4AF7-B966-80830B39C85F} = {A1146DB5-79EB-449C-ADA3-1ABDE035F5CA}
+		{4A441C7D-2659-4FB5-8886-420728C229BF} = {A1146DB5-79EB-449C-ADA3-1ABDE035F5CA}
+		{E4134FEF-ECBC-4EEF-A65B-8E8D318DA8DA} = {A1146DB5-79EB-449C-ADA3-1ABDE035F5CA}
+		{C21FBB7D-28F0-4D87-976C-4ED3B8ABA5E2} = {1AEE9C09-804F-4AF7-B966-80830B39C85F}
+		{9C56BB9C-C37A-4457-B560-2B46F1963292} = {1AEE9C09-804F-4AF7-B966-80830B39C85F}
+		{F3657FCF-A622-405C-A9E5-E473917B30B8} = {4A441C7D-2659-4FB5-8886-420728C229BF}
+		{BB0B5CCE-991D-42D1-B35D-C15273C41AC0} = {E4134FEF-ECBC-4EEF-A65B-8E8D318DA8DA}
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
 		SolutionGuid = {849C3668-1CB9-4F98-ADFA-A71F5629384C}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Class1.cs b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Class1.cs
new file mode 100644
index 0000000..666e4e1
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Class1.cs
@@ -0,0 +1,8 @@
+﻿using System;
+
+namespace Leuze.Modules.Goal.Application.UI
+{
+    public class Class1
+    {
+    }
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj
new file mode 100644
index 0000000..bc9e988
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Leuze.Modules.Goal.Application.UI.csproj
@@ -0,0 +1,21 @@
+<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <AssemblyName>Leuze.Modules.Goal.Application.UI</AssemblyName>
+    <RootNamespace>Leuze.Modules.Goal.Application.UI</RootNamespace>
+    <Product></Product>
+    <Description></Description>
+  </PropertyGroup>
+
+  <PropertyGroup>
+    <TargetFramework>net5.0</TargetFramework>
+    <Nullable>enable</Nullable>
+    <GenerateDocumentationFile>true</GenerateDocumentationFile>
+  </PropertyGroup>
+
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
+    <OutputPath>..\..\..\Presentation\Leuze.Modules\</OutputPath>
+    <DocumentationFile>..\..\..\..\docs\Leuze.Modules.Goal.Application.UI.xml</DocumentationFile>
+  </PropertyGroup>
+
+</Project>
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application/Class1.cs b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application/Class1.cs
new file mode 100644
index 0000000..80bfef6
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application/Class1.cs
@@ -0,0 +1,8 @@
+﻿using System;
+
+namespace Leuze.Modules.Goal.Application
+{
+    public class Class1
+    {
+    }
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application/Leuze.Modules.Goal.Application.csproj b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application/Leuze.Modules.Goal.Application.csproj
new file mode 100644
index 0000000..b5841d6
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application/Leuze.Modules.Goal.Application.csproj
@@ -0,0 +1,21 @@
+<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <AssemblyName>Leuze.Modules.Goal.Application</AssemblyName>
+    <RootNamespace>Leuze.Modules.Goal.Application</RootNamespace>
+    <Product></Product>
+    <Description></Description>
+  </PropertyGroup>
+
+  <PropertyGroup>
+    <TargetFramework>net5.0</TargetFramework>
+    <Nullable>enable</Nullable>
+    <GenerateDocumentationFile>true</GenerateDocumentationFile>
+  </PropertyGroup>
+
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
+    <OutputPath>..\..\..\Presentation\Leuze.Modules\</OutputPath>
+    <DocumentationFile>..\..\..\..\docs\Leuze.Modules.Goal.Application.xml</DocumentationFile>
+  </PropertyGroup>
+
+</Project>
diff --git a/src/Modules/Goal/Domain/Leuze.Modules.Goal.Domain/Class1.cs b/src/Modules/Goal/Domain/Leuze.Modules.Goal.Domain/Class1.cs
new file mode 100644
index 0000000..38d3ebc
--- /dev/null
+++ b/src/Modules/Goal/Domain/Leuze.Modules.Goal.Domain/Class1.cs
@@ -0,0 +1,8 @@
+﻿using System;
+
+namespace Leuze.Modules.Goal.Domain
+{
+    public class Class1
+    {
+    }
+}
diff --git a/src/Modules/Goal/Domain/Leuze.Modules.Goal.Domain/Leuze.Modules.Goal.Domain.csproj b/src/Modules/Goal/Domain/Leuze.Modules.Goal.Domain/Leuze.Modules.Goal.Domain.csproj
new file mode 100644
index 0000000..0e836f9
--- /dev/null
+++ b/src/Modules/Goal/Domain/Leuze.Modules.Goal.Domain/Leuze.Modules.Goal.Domain.csproj
@@ -0,0 +1,21 @@
+<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <AssemblyName>Leuze.Modules.Goal.Domain</AssemblyName>
+    <RootNamespace>Leuze.Modules.Goal.Domain</RootNamespace>
+    <Product></Product>
+    <Description></Description>
+  </PropertyGroup>
+
+  <PropertyGroup>
+    <TargetFramework>net5.0</TargetFramework>
+    <Nullable>enable</Nullable>
+    <GenerateDocumentationFile>true</GenerateDocumentationFile>
+  </PropertyGroup>
+
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
+    <OutputPath>..\..\..\Presentation\Leuze.Modules\</OutputPath>
+    <DocumentationFile>..\..\..\..\docs\Leuze.Modules.Goal.Domain.xml</DocumentationFile>
+  </PropertyGroup>
+
+</Project>
diff --git a/src/Modules/Goal/Infrastructure/Leuze.Modules.Goal.Infrastructure.Persistence/Class1.cs b/src/Modules/Goal/Infrastructure/Leuze.Modules.Goal.Infrastructure.Persistence/Class1.cs
new file mode 100644
index 0000000..c34eb49
--- /dev/null
+++ b/src/Modules/Goal/Infrastructure/Leuze.Modules.Goal.Infrastructure.Persistence/Class1.cs
@@ -0,0 +1,8 @@
+﻿using System;
+
+namespace Leuze.Modules.Goal.Infrastructure.Persistence
+{
+    public class Class1
+    {
+    }
+}
diff --git a/src/Modules/Goal/Infrastructure/Leuze.Modules.Goal.Infrastructure.Persistence/Leuze.Modules.Goal.Infrastructure.Persistence.csproj b/src/Modules/Goal/Infrastructure/Leuze.Modules.Goal.Infrastructure.Persistence/Leuze.Modules.Goal.Infrastructure.Persistence.csproj
new file mode 100644
index 0000000..29f45bb
--- /dev/null
+++ b/src/Modules/Goal/Infrastructure/Leuze.Modules.Goal.Infrastructure.Persistence/Leuze.Modules.Goal.Infrastructure.Persistence.csproj
@@ -0,0 +1,20 @@
+<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <AssemblyName>Leuze.Modules.Goal.Infrastructure.Persistence</AssemblyName>
+    <RootNamespace>Leuze.Modules.Goal.Infrastructure.Persistence</RootNamespace>
+    <Product></Product>
+    <Description></Description>
+  </PropertyGroup>
+
+  <PropertyGroup>
+    <TargetFramework>net5.0</TargetFramework>
+    <Nullable>enable</Nullable>
+    <GenerateDocumentationFile>true</GenerateDocumentationFile>
+  </PropertyGroup>
+
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
+    <OutputPath>..\..\..\Presentation\Leuze.Modules\</OutputPath>
+    <DocumentationFile>..\..\..\..\docs\Leuze.Modules.Goal.Infrastructure.Persistence.xml</DocumentationFile>
+  </PropertyGroup>
+</Project>